Skip to main content
POST
/
api
/
users
Invite users
curl --request POST \
  --url https://api.example.com/api/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emails": [
    "jsmith@example.com"
  ]
}
'
import requests

url = "https://api.example.com/api/users"

payload = { "emails": ["jsmith@example.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emails: ['jsmith@example.com']})
};

fetch('https://api.example.com/api/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "<string>",
    "expiresAt": "<string>"
  }
]

Body

application/json
emails
string<email>[]
required

List of email addresses to invite (max 10)

Email address to invite

Response

200 - application/json

List of created invitations

id
string<uuid>
required

Unique identifier of the invitation

email
string<email>
required

Email address the invitation was sent to

status
enum<string>
required

Current status of the invitation

Available options:
pending,
accepted
userId
string<uuid>
required

ID of the user associated with this invitation

createdAt
string
required

Timestamp when the invitation was created

expiresAt
string | null

Timestamp when the invitation expires